%define upstream_name	 Acme-MetaSyntactic-Themes
%define upstream_version 1.054

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The original Acme::MetaSyntactic themes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Acme::MetaSyntactic::Alias)
BuildRequires: perl(Acme::MetaSyntactic::List)
BuildRequires: perl(Acme::MetaSyntactic::Locale)
BuildRequires: perl(Acme::MetaSyntactic::MultiList)
BuildRequires: perl(CPAN)
BuildRequires: perl(CPAN::FirstTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Opcode)
BuildRequires: perl(Test::MetaSyntactic)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distribution contains all the themes that were included in
Acme-MetaSyntactic 0.99 in November 2006, plus several new additions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) disabled b/c of "Is it OK to try to connect to the Internet? [yes]":
exit 0
make test AUTOMATED_TESTING=true

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 1.54.0-2.mga8
+ Revision: 1537307
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 tv <tv> 1.54.0-1.mga8
+ Revision: 1456542
- update to 1.054

* Mon Aug 05 2019 tv <tv> 1.53.0-1.mga8
+ Revision: 1427485
- update to 1.053

* Tue Oct 30 2018 tv <tv> 1.52.0-1.mga7
+ Revision: 1326619
- update to 1.052

* Sat Oct 20 2018 tv <tv> 1.51.0-1.mga7
+ Revision: 1322630
- update to 1.051

* Thu Sep 20 2018 umeabot <umeabot> 1.50.0-3.mga7
+ Revision: 1281543
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.50.0-2.mga7
+ Revision: 1162756
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.50.0-1.mga7
+ Revision: 1159735
- disable testsuite b/c it asks questions
+ guillomovitch <guillomovitch>
- new version 1.050
+ pterjan <pterjan>
- Rebuild for perl 5.22.2
+ shlomif <shlomif>
- update to 1.049

* Sun Mar 13 2016 pterjan <pterjan> 1.48.0-2.mga6
+ Revision: 989951
- Update to 1.048

* Fri Feb 19 2016 umeabot <umeabot> 1.47.0-2.mga6
+ Revision: 969173
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.47.0-1.mga6
+ Revision: 864285
- update to 1.047

* Sun Jul 05 2015 sander85 <sander85> 1.46.0-1.mga6
+ Revision: 851131
- update to 1.046

* Wed Oct 15 2014 umeabot <umeabot> 1.41.0-3.mga5
+ Revision: 745345
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.41.0-2.mga5
+ Revision: 683427
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.41.0-1.mga5
+ Revision: 665463
- update to 1.041

* Mon Jun 16 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 637633
- update to 1.040

* Tue Apr 15 2014 jquelin <jquelin> 1.39.0-1.mga5
+ Revision: 614604
- update to 1.039

* Mon Feb 10 2014 jquelin <jquelin> 1.38.0-1.mga5
+ Revision: 588228
- update to 1.038

* Tue Oct 22 2013 umeabot <umeabot> 1.37.0-2.mga4
+ Revision: 545461
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 pterjan <pterjan> 1.37.0-1.mga4
+ Revision: 501271
- 1.037

* Sun Oct 06 2013 pterjan <pterjan> 1.36.0-1.mga4
+ Revision: 492043
- 1.36.0

* Thu Sep 05 2013 pterjan <pterjan> 1.35.0-1.mga4
+ Revision: 475325
- 1.035

* Wed Jun 26 2013 jquelin <jquelin> 1.33.0-1.mga4
+ Revision: 446859
- update to 1.033

* Mon Jun 03 2013 jquelin <jquelin> 1.32.0-1.mga4
+ Revision: 436544
- update to 1.032

* Mon May 27 2013 pterjan <pterjan> 1.31.0-1.mga4
+ Revision: 428494
- Update to 1.031

* Sun Jan 13 2013 umeabot <umeabot> 1.28.0-2.mga3
+ Revision: 362821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 1.28.0-1.mga3
+ Revision: 335967
- imported package perl-Acme-MetaSyntactic-Themes

